# `sample_range_hashing` Interface

A sample range-hashing functor.

This class serves to show the interface a range-hashing functor needs to support.

Defined in: `sample_range_hashing.hpp`

## Public Types and Constants

### General definitions.

Type | Definition | Description

    size_type

    size_t, e.g.

Size type.

## Public Methods

### Constructors, destructor, and related.

Method | Description

      sample_range_hashing
      ()

Default constructor.

Must be default constructable.

      sample_range_hashing
      (const sample_range_hashing &other)

Copy constructor.

Must be copy constructable.

    inline void
      swap
      (sample_range_hashing &other)

Swaps content.

Must be swappable (if there is such a word).

## Protected Methods

### Notification methods.

Method | Description

    void
      notify_resized
      (size_type size)

Notifies the policy object that the container's size has changed to `size`.

### Operators.

Method | Description

    inline size_type
      operator()
      (size_type hash) const

Transforms the hash value `hash` into a ranged-hash value.